curl -X POST https://api.tracklysms.com/api/v1/contacts \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{"phone": "+14155551234", "name": "John Doe"}'
import requests
response = requests.post(
"https://api.tracklysms.com/api/v1/contacts",
headers={
"X-Api-Key": "your_api_key",
"Content-Type": "application/json"
},
json={"phone": "+14155551234", "name": "John Doe"}
)
print(response.json())
# Returns success but contact is NOT created
{
"success": true,
"deprecated": true,
"message": "This endpoint is deprecated and performs no operation."
}
API Reference (v1 - Deprecated)
Create Contact
Create a contact (deprecated, no-op)
POST
/
v1
/
contacts
curl -X POST https://api.tracklysms.com/api/v1/contacts \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{"phone": "+14155551234", "name": "John Doe"}'
import requests
response = requests.post(
"https://api.tracklysms.com/api/v1/contacts",
headers={
"X-Api-Key": "your_api_key",
"Content-Type": "application/json"
},
json={"phone": "+14155551234", "name": "John Doe"}
)
print(response.json())
# Returns success but contact is NOT created
{
"success": true,
"deprecated": true,
"message": "This endpoint is deprecated and performs no operation."
}
Deprecated & No-Op: This endpoint is a compatibility stub that always returns success without creating anything.
Response
boolean
Always
trueboolean
Always
truestring
Deprecation notice
curl -X POST https://api.tracklysms.com/api/v1/contacts \
-H "X-Api-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{"phone": "+14155551234", "name": "John Doe"}'
import requests
response = requests.post(
"https://api.tracklysms.com/api/v1/contacts",
headers={
"X-Api-Key": "your_api_key",
"Content-Type": "application/json"
},
json={"phone": "+14155551234", "name": "John Doe"}
)
print(response.json())
# Returns success but contact is NOT created
{
"success": true,
"deprecated": true,
"message": "This endpoint is deprecated and performs no operation."
}
Adding Contacts
To add contacts to your account, use the Trackly SMS dashboard:- Navigate to Sending > Lists in the sidebar and open the list you want to add contacts to
- Click Import Contacts
- Upload a CSV file with phone numbers and optional fields